PHP-инклюдинг в Mambo Coppermine

Дата публикации:
21.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
13380
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Coppermine 1.x (компонент к Mambo)
Уязвимые версии: Coppermine (компонент Mambo) 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии components/com_cpg/cpg.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

htttp://victim/components/com_cpg/cpg.php?mosConfig_absolute_path=

URL производителя: www.joomlaya.com/…category/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Mambo CopperminePhotoGalery Component Remote Include Vulnerability

или введите имя

CAPTCHA